Module | ActiveSupport::CoreExtensions::Range::IncludeRange
In: | lib/active_support/core_ext/range/include_range.rb

Check if a Range includes another Range.

### Methods

include_with_range?

### Public Instance methods

include_with_range?(value)

Extends the default Range#include? to support range comparisons.

     (1..5).include?(1..5) # => true
     (1..5).include?(2..3) # => true
     (1..5).include?(2..6) # => false

The native Range#include? behavior is untouched.

     ("a".."f").include?("c") # => true
     (5..9).include?(11) # => false

[Validate]